%define git git20130128
%define qtmajor 5
%define qtminor 0
%define qtsubminor 1
%define rel 0.%git.2

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtx11extras %mklibname qt5ftp %qtmajor
%define libqtx11extras_d %mklibname qt5ftp -d

%define qttarballdir qtx11extras-%{qtversion}-%git

Name:    qtx11extras5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: %qttarballdir.tar.bz2
BuildRequires: qtbase5-devel
BuildRequires: qt5gui-private-devel
#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
The Qt X11 Extras

#------------------------------------------------------------------------------

%package -n %{libqtx11extras}
Summary:  The Qt X11 Extras
Group:    Development/KDE and Qt

%description -n %{libqtx11extras}
The Qt X11 Extras

%files -n %{libqtx11extras}
%{_qt5_libdir}/libQt5X11Extras.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtx11extras_d}
Summary: Devel files needed to build apps based on QtX11Extras
Group:    Development/KDE and Qt
Requires: %{libqtx11extras} = %version
Provides: libqtx11extras5-devel = %version
Provides: libqt5ftp-devel = %version
Provides: qtx11extras-devel = %version
Provides: qt5ftp-devel = %version

%description -n %{libqtx11extras_d}
Devel files needed to build apps based on QtX11Extras.

%files -n %{libqtx11extras_d}
%{_qt5_libdir}/libQt5X11Extras.so
%{_qt5_libdir}/libQt5X11Extras.prl
%{_qt5_libdir}/pkgconfig/Qt5X11Extras.pc
%{_qt5_includedir}/QtX11Extras
%{_qt5_libdir}/cmake/Qt5X11Extras
%{_qt5_datadir}/mkspecs/modules/qt_lib_x11extras.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtx11extras

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
# .a files are needed by qttols5
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-0.git20130128.2.mga3
+ Revision: 394123
- Rebuild against new qt5

* Mon Jan 28 2013 neoclust <neoclust> 5.0.1-0.git20130128.1.mga3
+ Revision: 392931
- imported package qtx11extras5

